REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Build the Gridding and Mapping Module.
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn
MKDIR gui
MKDIR plot
MKDIR util

MKDIR fluid
MKDIR fluid\io

MKDIR grid
MKDIR grid\gui
MKDIR grid\io
MKDIR grid\math
MKDIR grid\plot

MKDIR brine

MKDIR pc
MKDIR pc\io

MKDIR iqstrat
MKDIR iqstrat\io

MKDIR las3

MKDIR kgs

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .

COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\plot\*.java plot
COPY src\util\*.java util

COPY src\fluid\*.java fluid
COPY src\fluid\io\*.java fluid\io

COPY src\grid\*.java grid
COPY src\grid\gui\*.java grid\gui
COPY src\grid\io\*.java grid\io
COPY src\grid\math\*.java grid\math
COPY src\grid\plot\*.java grid\plot

COPY src\brine\*.java brine

COPY src\pc\io\*.java pc\io

COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\io\*.java iqstrat\io

COPY src\las3\*.java las3

COPY src\kgs\*.java kgs

REM ------------------------------------------------------------
REM COMPILE Gridding and Mapping Module
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation Fluid_Map.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java

DEL cmn\*.java
DEL gui\*.java
DEL plot\*.java
DEL util\*.java

DEL fluid\*.java
DEL fluid\io\*.java

DEL grid\*.java
DEL grid\gui\*.java
DEL grid\io\*.java
DEL grid\math\*.java
DEL grid\plot\*.java

DEL brine\*.java

DEL pc\io\*.java

DEL iqstrat\*.java
DEL iqstrat\io\*.java

DEL las3\*.java

DEL kgs\*.java

REM ------------------------------------------------------------
REM REMOVE the old Gridding and Mapping Module Jar File
REM BUILD JAR File for the Gridding and Mapping Module
REM ------------------------------------------------------------

DEL Fluid_Map.txt

C:\jdk1.7.0_25\bin\jar cvfm Fluid_Map.jar Manifest.txt *.class cmn gui plot util iqstrat kgs fluid grid brine pc las3 images
C:\jdk1.7.0_25\bin\jar tvf Fluid_Map.jar > Fluid_Map.txt

MOVE Fluid_Map.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q
DEL plot /q
DEL util /q

DEL fluid /q
DEL fluid\io /q

DEL grid /q
DEL grid\gui /q
DEL grid\io /q
DEL grid\math /q
DEL grid\plot /q

DEL brine /q

DEL pc\io /q

DEL iqstrat /q
DEL iqstrat\io /q

DEL las3 /q

DEL kgs /q

RMDIR cmn
RMDIR gui
RMDIR plot
RMDIR util

RMDIR fluid\io
RMDIR fluid

RMDIR grid\gui
RMDIR grid\io
RMDIR grid\math
RMDIR grid\plot
RMDIR grid

RMDIR brine

RMDIR pc\io
RMDIR pc

RMDIR iqstrat\io
RMDIR iqstrat

RMDIR las3

RMDIR kgs

DEL *.class
