/*
 * @cmnStruct.java Version 1.1 03/04/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package cmn;

import java.net.*;
import java.awt.*;
import java.applet.*;

/** CLASS cmnStruct
 *  <p> This Class holds the global gui data structure data.
 *  @version 1.1 03/04/2015
 *  @author  John R. Victorine
 */

public class cmnStruct
{
  // Kansas Geological Survey Home Web Addresses

  public static final String KGS   = "http://www.kgs.ku.edu";
  public static final String CO2   = "http://www.kgs.ku.edu/PRS/Ozark/";
  public static final String STRAT = "http://www.kgs.ku.edu/stratigraphic/";

  // BASE DIRECTORY of IQSTRAT

  public static final String IQSTRAT_BASE = STRAT + "IQSTRAT/";

  /* ======================================================================= *
   * --------------------- Web Applications Mnemonics ---------------------- *
   * ======================================================================= */

  // BASE URL to the ABYSS PLSQL Stored procedure base path.

  public static final String PLSQL      = "http://chasm.kgs.ku.edu/ords/";
  public static final String PLSQL_USER = "http://chasm.kgs.ku.edu/ords/iqstrat.";

  /* ======================================================================= *
   * ---------------------------- KGS Logo Icon ---------------------------- *
   * ======================================================================= */

  public static final String ICON  = "images/kgsSm.png";
  public static final String ICON2 = "images/kgsSm2.png";

  /* ======================================================================= *
   * ----------------------------- Image Icons ----------------------------- *
   * ======================================================================= */

  public static final String WEB_BRINE  = "/images/webapp-brine.png";

  public static final String KGS_DATA   = "/images/kgsSm2.png";
  public static final String BRINE_DATA = "/images/brine_plot.png";
  public static final String CO2_ICON   = "/images/CO2.png";

  public static final String CLOSE      = "/images/close.png";

  public static final String CSV        = "/images/save_csv.png";
  public static final String XML        = "/images/save_xml.png";
  public static final String PDF        = "/images/save_pdf.png";

  public static final String COVAL      = "/images/covalence.png";
  public static final String EIGEN      = "/images/eigenvector.png";
  public static final String PC2D       = "/images/pc2Dsm.png";

  public static final String PLOT       = "/images/plot.png";

  public static final String PREVIOUS   = "/images/previous.png";
  public static final String NEXT       = "/images/next.png";

  /* ======================================================================= *
   * -------------------------- PL/SQL Procedures -------------------------- *
   * ======================================================================= */

  // KGS Well Header Information
  // Example: http://chasm.kgs.ku.edu/ords/iqstrat.kgs_well_headers_pkg.getXML?sAPI=15-191-10093

  public static final String KGS_WELL = PLSQL_USER + "kgs_well_headers_pkg.getXML?sAPI=";

  // KGS Brine Data

  public static final String BRINE_DEFINITON    = STRAT + "PROFILE/BrineDefinitions.html";
  public static final String KGS_BRINE          = PLSQL_USER + "brine_data_pkg.getXML?";
  public static final String KGS_BRINE_COUNTIES = PLSQL_USER + "brine_data_pkg.getCounties?";


  /* ======================================================================= *
   * --------------------------- Global Variables -------------------------- *
   * ======================================================================= */

  public int           iServerUsed;     // Server that will be used.
  public boolean       bStandalone;     // Application is Stand alone
  public URL           urlDirCodeBase;  // Base URL of Applet.
  public AppletContext appletContext;   // Applet Context
  public String        sPath;           // Path to retrieve data from JAR File
  public String        sImagePath;      // Path to retrieve images from JAR File
  public ClassLoader   cl;
  public Image         pIcon  = null;
  public Image         pIcon2 = null;
}

/*
 *  @version 1.1 03/04/2015
 *  @author  John Victorine
 */
