/*
 * @gridParametersStruct.java Version 1.1 05/15/2002
 *
 * Copyright (c) 2001 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package grid.math;

/** Class gridParametersStruct
 *  <p> This Class holds the gridding Parameters
 *
 *  @version 1.1 05/15/2002
 *  @author  John R. Victorine
 */

public class gridParametersStruct
{
  public int    iXCells          = 0;   // Number of Rows
  public int    iYCells          = 0;   // Number of Columns
  public double dCellSize        = 0.0; // Grid Cell Spacing
  public int    iNeighbors       = 0;   // Number of Nearest Neighbors
  public double dMaxDistTo1st    = 0.0; // Maximum Distance to Nearest Data
  public double dMaxSearchRadius = 0.0; // Maximum Search Radius
  public double dExponent        = 0.0; // Inverse Distance Weighting Exp
  public double dXMax            = 0.0; // Maximum X in Feet.
  public double dXMin            = 0.0; // Minimum X in Feet.
  public double dYMax            = 0.0; // Maximum Y in Feet.
  public double dYMin            = 0.0; // Minimum Y in Feet.

  /** Method print()
   *  <p> Print the contents of this data structure
   */

  public void print()
  {
    System.out.println("Number of Rows=" + iXCells);
    System.out.println("Number of Columns=" + iYCells);
    System.out.println("Grid Cell Spacing=" + dCellSize);
    System.out.println("Number of Nearest Neighbors=" + iNeighbors);
    System.out.println("Maximum Distance to Nearest Data=" + dMaxDistTo1st);
    System.out.println("Maximum Search Radius=" + dMaxSearchRadius);
    System.out.println("Inverse Distance Weighting Exp=" + dExponent);
    System.out.println("Maximum X in Feet=" + dXMax);
    System.out.println("Minimum X in Feet=" + dXMin);
    System.out.println("Maximum Y in Feet=" + dYMax);
    System.out.println("Minimum Y in Feet=" + dYMin);
  }

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    iXCells          = 0;   // Number of Rows
    iYCells          = 0;   // Number of Columns
    dCellSize        = 0.0; // Grid Cell Spacing
    iNeighbors       = 0;   // Number of Nearest Neighbors
    dMaxDistTo1st    = 0.0; // Maximum Distance to Nearest Data
    dMaxSearchRadius = 0.0; // Maximum Search Radius
    dExponent        = 0.0; // Inverse Distance Weighting Exp
    dXMax            = 0.0; // Maximum X in Feet.
    dXMin            = 0.0; // Minimum X in Feet.
    dYMax            = 0.0; // Maximum Y in Feet.
    dYMin            = 0.0; // Minimum Y in Feet.
  }
}
