/*
 * @gridPlotMappingImage.java Version 1.1 08/26/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package grid.plot;

import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

import grid.plot.gridPlotMappingStruct; // Grid Plot Mapping List Structure
import grid.plot.gridPlotMapping;

/** Class plotXY
 *  <p> This class will create a XYZ Plot for an array of data
 *
 *  @version 1.1 08/26/2015
 *  @author  John R. Victorine
 */

public class gridPlotMappingImage extends Canvas
{
  /** Method makePlotImage()
   *  <p> This method will make a image of the Sample Plot
   *  @param stPlot = Grid Plot Mapping Data Structure
   */

  public static Image makePlotImage( gridPlotMappingStruct stPlot, int iLabel )
  {
    Frame frame = new Frame();
    frame.addNotify();

    gridPlotMapping plot = new gridPlotMapping( stPlot, 700, 700 );
    plot.setWellLabel(iLabel);

    int iWidth  = plot.getWidth();
    int iHeight = 700;

    Image    messageImage = frame.createImage(iWidth, iHeight);
    Graphics graphics     = messageImage.getGraphics();

    graphics.setColor(Color.white);
    graphics.fillRect(0, 0, iWidth, iHeight);

    plot.drawMap( graphics );

    graphics.dispose();

    return (messageImage);
  }
}

/*
 *  @version 1.1 08/26/2015
 *  @author  John Victorine
 */