/*
 * @gridPlotMappingListStruct.java Version 1.1 02/26/2016
 *
 * Copyright (c) 2016 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package grid.plot;

import grid.plot.gridPlotMappingStruct;

/** Class gridPlotMappingListStruct
 *  <p> This class will hold the list of grid Plot Mapping Structures
 *
 *  @version 1.1 02/26/2016
 *  @author  John R. Victorine
 */

public class gridPlotMappingListStruct
{
  public int                   iCount   = 0;    // Total Number of Records
  public gridPlotMappingStruct stItem[] = null; // Total Structures

  /** Method delete()
   * <p> This method will set the arrays to null in order to get Java to
   *     deallocate memory for the object.
   */

  public void delete()
  {
    for (int i=0; i<iCount; i++)
    {
      if (stItem[i] != null)
        stItem[i].delete();
      stItem[i] = null;
    }

    iCount = 0;
  }
}

/*
 *  @version 1.1 02/26/2016
 *  @author  John Victorine
 */
